Summary:     Sender Policy Framework (SPF) library and programs
Name:        libspf2
Version:     1.0.4
Release:     2.pp
License:     LGPL
Group:       System Environment/Libraries
Source0:     http://www.libspf2.org/spf/%{name}-%{version}.tar.gz
URL:         http://www.libspf2.org/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc
Provides:    %{name}.pp libresolv.so.2(GLIBC_PRIVATE)
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel
ExclusiveOS: linux

%description
libspf2 implements the Sender Policy Framework, a part of the
SPF/SRS protocol pair. libspf2 is a library which allows email
systems such as Sendmail, Postfix, Exim, Zmailer and MS Exchange
to check SPF records and make sure that the email is authorized
by the domain name that it is coming from. This prevents email
forgery, commonly used by spammers, scammers and email viruses/worms.


%package devel
Summary:     Development files for %{name}
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%package progs
Summary:     %{name} related programs
Group:       Applications/Internet
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-progs.pp


%description devel
This package contains the header files, libraries, and documentation
for building programs which use %{name}.

%description progs
This package contains programs for making SPF queries and checking
their results using %{name}.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man \
	--enable-shared         \
	--enable-static
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/usr/bin/*_static


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc Changelog INSTALL LICENSES README TODO
%doc docs/*.txt docs/API
/usr/lib/*.so.*

%files devel
%defattr(-, root, root)
%dir /usr/include/spf2
/usr/include/spf2/*
/usr/lib/*.*a
/usr/lib/*.so

%files progs
%defattr(-, root, root)
/usr/bin/*


%changelog
* Sat Sep 25 2004 peter.pramberger@member.fsf.org
- created

